org.eclipse.zest.layouts.algorithms

## Class VerticalLayoutAlgorithm

- java.lang.Object
- - org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm
  - - org.eclipse.zest.layouts.algorithms.GridLayoutAlgorithm
    - - org.eclipse.zest.layouts.algorithms.VerticalLayoutAlgorithm

All Implemented Interfaces:
  LayoutAlgorithm, Stoppable

    public class VerticalLayoutAlgorithm
    extends GridLayoutAlgorithm

### Field Summary

### Fields inherited from class org.eclipse.zest.layouts.algorithms.GridLayoutAlgorithm

`rowPadding`

### Fields inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm

`comparator, filter, internalAsynchronous, internalContinuous, layout_styles, layoutStopped, MIN_ENTITY_SIZE, resizeEntitiesAfterLayout`

### Constructor Summary

Constructors
Constructor and Description
`VerticalLayoutAlgorithm()` Veertical Layout Algorithm constructor with no styles.
`VerticalLayoutAlgorithm(int styles)`

### Method Summary

Methods
`protected int[]` `calculateNumberOfRowsAndCols(int numChildren, double boundX, double boundY, double boundWidth, double boundHeight)` Calculates and returns an array containing the number of columns, followed by the number of rows
`protected boolean` `isValidConfiguration(boolean asynchronous, boolean continueous)` Determines if the configuration is valid for this layout

### Methods inherited from class org.eclipse.zest.layouts.algorithms.GridLayoutAlgorithm

`applyLayoutInternal, calculateNodeSize, calculateNumberOfRowsAndCols_rectangular, calculateNumberOfRowsAndCols_square, getCurrentLayoutStep, getTotalNumberOfLayoutSteps, postLayoutAlgorithm, preLayoutAlgorithm, setLayoutArea, setRowPadding`

### Methods inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm

`addEntity, addProgressListener, addRelationship, applyLayout, defaultFitWithinBounds, defaultFitWithinBounds, fireProgressEnded, fireProgressEvent, fireProgressStarted, getEntityAspectRatio, getLayoutBounds, getLocalLocation, getNumberOfProgressListeners, getStyle, isRunning, removeEntity, removeProgressListener, removeRelationship, removeRelationships, removeRelationships, setComparator, setEntityAspectRatio, setFilter, setStyle, stop, updateBendPoints, updateEntities, updateLayoutLocations, updateRelationships, verifyInput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VerticalLayoutAlgorithm

    public VerticalLayoutAlgorithm()

Veertical Layout Algorithm constructor with no styles.

#### VerticalLayoutAlgorithm

    public VerticalLayoutAlgorithm(int styles)

### Method Detail

#### calculateNumberOfRowsAndCols

    protected int[] calculateNumberOfRowsAndCols(int numChildren,
                                     double boundX,
                                     double boundY,
                                     double boundWidth,
                                     double boundHeight)

Calculates and returns an array containing the number of columns, followed by the number of rows

Overrides:
  `calculateNumberOfRowsAndCols` in class `GridLayoutAlgorithm`

#### isValidConfiguration

    protected boolean isValidConfiguration(boolean asynchronous,
                               boolean continueous)

Description copied from class: `AbstractLayoutAlgorithm`
Determines if the configuration is valid for this layout

Overrides:
  `isValidConfiguration` in class `GridLayoutAlgorithm`